%bcond_without mead
%define _jarsign_opts --copy=%{_javadir} --unsign=%{_javadir}

%if %with mead
%bcond_with repolib
%else
%bcond_without repolib
%endif

%define reltag .redhat_1
%define namedreltag -redhat-1
%global namedversion %{version}%{?namedreltag}

%define maven_version 1.5.5-redhat-1

Name:           xml-security
Version:        1.5.5
Release:        1%{?reltag}%{?dist}
Epoch:          0
Summary:        Apache-XML-Security-J
License:        ASL 2.0
Group:          Development/Libraries

%if %with mead
Source102: xmlsec-1.5.5-redhat-1-tests.jar
Source103: xmlsec-1.5.5-redhat-1-sources.jar
Source104: xmlsec-1.5.5-redhat-1.jar
Source105: xmlsec-1.5.5-redhat-1.pom
Source106: xmlsec-1.5.5-redhat-1-patches.zip
Source107: xmlsec-1.5.5-redhat-1-scm-sources.zip
%endif

URL:            http://santuario.apache.org/javaindex.html
%if 0
svn -q export -r 1124897 http://svn.apache.org/repos/asf/santuario/xml-security-java/tags/1.4.5 xml-security-1.4.5 && tar cjf xml-security-1.4.5.tar.bz2 xml-security-1.4.5
%endif
%if %without mead
Source0:        xml-security-1.4.5.tar.bz2
Patch0:         xml-security-vman-pom.patch
%endif
Obsoletes:      apache-xmlsec <= 0:1.4.5-1.1_redhat_2%{?dist}
Provides:       apache-xmlsec = %{epoch}:%{version}-%{release}
Requires(post): jpackage-utils
Requires(postun): jpackage-utils
Requires:       jpackage-utils
Requires:       slf4j
Requires:       xalan-j2
Requires:       xerces-j2
%if %without mead
BuildRequires:  maven2 >= 0:2.0.7
BuildRequires:  maven2-plugin-compiler
BuildRequires:  maven2-plugin-dependency
BuildRequires:  maven2-plugin-deploy
BuildRequires:  maven2-plugin-install
BuildRequires:  maven2-plugin-jar
BuildRequires:  maven2-plugin-javadoc
BuildRequires:  maven2-plugin-resources
BuildRequires:  maven2-plugin-source
BuildRequires:  maven-doxia-sitetools
BuildRequires:  maven2-plugin-release
BuildRequires:  maven2-plugin-surefire
BuildRequires:  maven-surefire-provider-junit4
BuildRequires:  maven-bundle-plugin
BuildRequires:  slf4j
BuildRequires:  jboss-parent
BuildRequires:  jpackage-utils
BuildRequires:  junit
BuildRequires:  xalan-j2
BuildRequires:  xml-commons-jaxp-1.3-apis
BuildRequires:  xerces-j2
%endif
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root

%description
The Apache XML Security for Java library supports XML-Signature Syntax and Processing,
W3C Recommendation 12 February 2002 and XML Encryption Syntax and Processing, W3C Recommendation 10 December 2002.

%if %without mead
%package javadoc
Summary:        API Documentation for xmlsec
Group:          Development/Tools

Requires:       jpackage-utils

%description javadoc
JavaDoc documentation for xmlsec.
%endif

%if %with repolib
%package repolib
Summary:        Artifacts to be uploaded to a repository library
Group:          Development/Libraries/Java


%description repolib
Artifacts to be uploaded to a repository library.
This package is not meant to be installed but so its contents
can be extracted through rpm2cpio.
%endif

%prep
%if %without mead
%setup -q
%patch0 -p1 
%endif

%build
%if %without mead
export LC_ALL=en_US.UTF8
export MAVEN_REPO_LOCAL=`pwd`/.m2/repository
export ALT_DEPLOYMENT_REPOSITORY=oss-releases::default::file:`pwd`/maven2-brew
export MAVEN_OPTS="-Xms1g -Xmx1g -XX:MaxPermSize=512M -Dproject.build.sourceEncoding=UTF8"
%{_bindir}/mvn-jpp -e -Dmaven.repo.local=${MAVEN_REPO_LOCAL} -DaltDeploymentRepository=${ALT_DEPLOYMENT_REPOSITORY} -Dmaven.test.failure.ignore=true javadoc:aggregate javadoc:aggregate-jar deploy
%endif

%install
%{__rm} -rf %{buildroot}

# jars
mkdir -p %{buildroot}%{_javadir}
%if %with mead
%{__cp} -p %{_sourcedir}/xmlsec-%{namedversion}.jar %{buildroot}%{_javadir}/xmlsec-%{namedversion}.jar
#%%{__cp} -p %{_sourcedir}/xmlsec-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/xmlsec-%{namedversion}-javadoc.jar
%{__cp} -p %{_sourcedir}/xmlsec-%{namedversion}-sources.jar %{buildroot}%{_javadir}/xmlsec-%{namedversion}-sources.jar
%else
%{__cp} -p target/xmlsec-%{namedversion}.jar %{buildroot}%{_javadir}/xmlsec-%{namedversion}.jar
#%%{__cp} -p target/xmlsec-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/xmlsec-%{namedversion}-javadoc.jar
%{__cp} -p target/xmlsec-%{namedversion}-sources.jar %{buildroot}%{_javadir}/xmlsec-%{namedversion}-sources.jar
%endif
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

# poms
%{__mkdir_p} %{buildroot}%{_mavenpomdir}
%if %with mead
%{__cp} -p %{_sourcedir}/xmlsec-%{namedversion}.pom %{buildroot}/%{_mavenpomdir}/JPP-xmlsec.pom
%else
cp -p pom.xml %{buildroot}%{_mavenpomdir}/JPP-xmlsec.pom
%endif
%add_to_maven_depmap org.apache.santuario xmlsec %{namedversion} JPP xmlsec
[ -f %{buildroot}%{_mavendepmapfragdir}/xmlsec ] || %{__mv} %{buildroot}%{_mavendepmapfragdir}/%{name} %{buildroot}%{_mavendepmapfragdir}/xmlsec

# javadocs
%if %without mead
%{__mkdir_p} %{buildroot}%{_javadocdir}/xmlsec-%{namedversion}
%{__cp} -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/xmlsec-%{namedversion}
#%else
#%{__unzip} -qq %{_sourcedir}/xmlsec-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/xmlsec-%{namedversion}
#%{__rm} -r %{buildroot}%{_javadocdir}/xmlsec-%{namedversion}/META-INF
%{__ln_s} xmlsec-%{namedversion} %{buildroot}%{_javadocdir}/xmlsec
%endif

%if %with repolib
%{__mkdir_p} %{buildroot}%{_javadir}/repository.jboss.com/maven2-brew
%{__cp} -pr maven2-brew/* %{buildroot}%{_javadir}/repository.jboss.com/maven2-brew
%endif

%if %with mead
%{__unzip} -qq %{_sourcedir}/xmlsec-%{namedversion}-scm-sources.zip
%{__cp} %{version}/CHANGELOG.txt .
%{__cp} %{version}/LICENSE .
%{__cp} %{version}/NOTICE .
%{__rm} -rf %{version}
%endif

%clean
%{__rm} -rf %{buildroot}

%post
%update_maven_depmap

%postun
%update_maven_depmap
                                                                                                     
%files
%defattr(0644,root,root,0755)
%doc CHANGELOG.txt NOTICE LICENSE
%{_javadir}*/xmlsec-%{namedversion}.jar
%{_javadir}*/xmlsec.jar
%{_javadir}*/xmlsec-%{namedversion}-sources.jar
%{_javadir}*/xmlsec-sources.jar
%{_mavenpomdir}/JPP-xmlsec.pom
%{_mavendepmapfragdir}/xmlsec

%if %without mead
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/xmlsec-%{namedversion}
%{_javadocdir}/xmlsec
%endif

%if %with repolib
%files repolib
%defattr(0644,root,root,0755)
%dir %{_javadir}*
%exclude %dir %{_javadocdir}
%{_javadir}*/repository.jboss.com
%endif

%changelog
* Thu Jul 04 2013 Vladimir Dosoudil <dosoudil@redhat.com> - 0:1.5.5-1.redhat_1
- Upgrade to 1.5.5

* Thu Feb 07 2013 Yong Yang <yyang@redhat.com> - 0:1.5.3-1.redhat_1
- Upgrade to 1.5.3

* Wed Sep 19 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.5.2-2.redhat_1
- Rebuild for MD5

* Mon Aug 28 2012 Hui Wang <huwang@redhat.com> - 0:1.5.2-1.redhat_1
- Upgrade to 1.5.2

* Thu Aug 09 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.5.1-2.redhat_2.1.2
- Rebuild unsigned

* Thu Jul 12 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.5.1-2.redhat_1.1.1
- Rebuild using cache signing

* Wed May 23 2012 Fernando Nasser <fnasser@redhat> 0:1.5.1-2.redhat_1.1
- Remove javadoc from SRPM and do not build javadoc subpackage either
- Fix reltag

* Mon Mar 26 2012 Hui Wang <huwang@redhat> 0:1.5.1-1_redhat_1.1
- Upgrade to 1.5.1

* Thu Mar 01 2012 Fernando Nasser <fnasser@redhat> 0:1.4.5-4.1
- Populate java-signed

* Thu Feb 09 2012 David Walluck <dwalluck@redhat> 0:1.4.5-4
- replace commons-logging by jcl-over-slf4j
- update jboss-parent version in pom
- remove version properties from pom

* Thu Feb 09 2012 David Walluck <dwalluck@redhat> 0:1.4.5-3
- fix bad file list that caused javadoc in main package
- add rm -rf %{buildroot} to %%install
- add Requires(post/postun): jpackage-utils
- add license to package
- non-mead build is maven-based, not ant-based, now

* Thu Jan 26 2012 Fernando Nasser <fnasser@redhat.com> - 0:1.4.5-2_redhat_1.1
- Build with new wrapper from MEAD build of
  org.apache.santuario-xmlsec

* Fri Jan 20 2012 Yong Yang <yyang@redhat.com> - 0:1.4.5-1.1_redhat_1
- rpm build for 1.4.5

* Mon Nov 28 2011 Lin Gao <lgao@redhat.com> - 0:1.4.5-1_redhat_1
- Upgrade to 1.4.5
- mead build

* Tue Aug 23 2011 Yong Yang <yyang@redhat.com> - 0:1.4.4-5_redhat_1
- Build for Werewolf

* Tue Jul 12 2011 Yong Yang <yyang@redhat.com> - 0:1.4.4-4
- Add BuildArch

* Mon Jul 11 2011 Yong Yang <yyang@redhat.com> - 0:1.4.4-3
- Rebuild

* Mon Jul 11 2011 Yong Yang <yyang@redhat.com> - 0:1.4.4-2
- Rebuild

* Mon Jul 11 2011 Yong Yang <yyang@redhat.com> - 0:1.4.4-1
- First build
